/* HiNoteEditor */

#import <Cocoa/Cocoa.h>

@interface HiNoteEditor : NSObject
{
    IBOutlet id cancelButton;
    IBOutlet id editPanel;
    IBOutlet id executeButton;
    IBOutlet id office;
    IBOutlet id webloc;
	
    NSTextField		*noteText;
	NSString	*noteString;
}

//********************
// 初期化等
//********************

- (void)awakeFromNib;
- (void)dealloc;

//********************
// アクション等
//********************

- (IBAction)actCancel:(id)sender;
- (IBAction)actEditStart:(id)sender;
- (IBAction)actExecute:(id)sender;
- (void)editEnd;

//********************
// ユーティリティ
//********************

- (void)windowWillClose:(NSNotification *)aNotification;

@end
