/* HiOutlineView */

#import <Cocoa/Cocoa.h>

@class HiURLOffice;
@class HiURLEditor;
@class HiGroupEditor;
@class HiNoteEditor;
@class HiWeblocFile;

@interface HiOutlineView : NSOutlineView	//NSOutlineViewDataSource
{
	HiURLOffice	*office;
	HiURLEditor	*urlEditor;
	HiGroupEditor *groupEditor;
	HiNoteEditor *noteEditor;
	HiWeblocFile	*webloc;
	
	int	modifierFlags;
}

- (void)setOffice:(HiURLOffice *)inOffice
		urlEditor:(HiURLEditor *)inUrlEditor
		groupEditor:(HiGroupEditor *)inGroupEditor
		noteEditor:(HiNoteEditor *)inNoteEditor;
- (NSPoint)clickPosition:(NSIndexSet *)indexSet
				   point:(NSPoint)point;
//- (NSPoint)selectClickedRow:(NSIndexSet *)indexSet
//				   point:(NSPoint)point;
- (int)modifierFlags;
- (unsigned int)draggingSourceOperationMaskForLocal:(BOOL)isLocal;	//ドラッグ＆ドロップのバグ対策

@end
