#import <Cocoa/Cocoa.h>

#define ICON_SIZE_WIDTH		16
#define ICON_SIZE_HEIGHT	16
#define MARGIN_X			3

enum {
	BIT_BOLD		= 0x01,
	BIT_ITALIC		= 0x02,
	BIT_UNDERLINE	= 0x04
};

@class HiURLOffice;
@class HiColorLabel;

@interface IconedCell : NSCell

{
	int		labelNumber;
	BOOL	emptyGroupFlag;
//	int		alreadyLabeled;
	
	NSColor	*color;
}

- (void)setTextColor:(NSColor *)inColor;

//- (int)labelNumber;
//- (BOOL)alreadyLabeled;
- (void)setLabelNumber:(int)number;
- (NSImage *)labelTipImage;
- (NSImage *)labelBodyImage;
- (void)setEmptyGroupFlag:(BOOL)flag;

@end

